For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all organisations
      • POSTCreate an organisation
      • GETGet organisation by ID
      • PUTUpdate organisation (full)
      • DELDelete organisation
      • PATCHUpdate organisation (partial)
Calculator
LogoLogo
EndpointsOrganisations

Update organisation (full)

PUT
https://api.finput.com.au/api/v1/organisations/:id
PUT
/api/v1/organisations/:id
$curl -X PUT https://api.finput.com.au/api/v1/organisations/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Westpac"
>}'
200Updated
1{
2 "message": "message"
3}
Was this page helpful?
Previous

Delete organisation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
namestringRequired
typeenumOptional

Organization type:

  • f - Financier
  • b - Broker
  • u - User
Allowed values:
abnstringOptional

Response

Organisation updated
messagestring